Subject: Re: [Roll] Part 2: comment resolutions for AD Review of draft-ietf-roll-aodv-rpl-07

From: Alvaro Retana <[email-masked]>
Date: Tue, 16 Jun 2020 14:35:22 -0700

On May 7, 2020 at 3:52:33 PM, Charlie Perkins wrote:

Charlie:

Hi!

Just a couple of answers to Part 2.

Thanks!

Alvaro.

...
> > 920 10. Security Considerations
> >
> > 922 The security mechanisms defined in section 10 of [RFC6550] and
> > 923 section 11 of [RFC6997] can also be applied to the control messages
> > 924 defined in this specification. The RREQ-DIO and RREP-DIO both have a
> > 925 secure variant, which provide integrity and replay protection as well
> > 926 as optional confidentiality and delay protection.
...
> > [minor] §3 talks about the fact that an RREQ-DIO is a DIO message
> > with the rREQ Option (and there's similar text for the RREP-DIO).
> > However, I think it's confusing to the reader to mention that there are
> > secure variants. I think that expanding the description (at the end of
> > §3) of what exactly the *-DIO messages are (and that the definition
> > includes the secure variants) would go a long way.
>
> Is it O.K. if we note that RREQ and RREP have secure variants, without
> having to reproduce the entire section?

I think so — pointing to rfc6550.

...
> > 1060 Appendix A. Example: ETX/RSSI Values to select S bit
...
> > [minor] It would be really nice to provide a reference for these tests.
> TODO: provide a citation.
> >
> > [minor] Add references for ETX/RSSI.
> TODO: provide a citation.

Pending...